A search query

### Hierarchy

- SCSearchQuery
  - SCSearchRequest

## Index

### Properties

- filter
- from
- query
- size
- sort

## Properties

### Optional filter

filter: SCSearchFilter

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1302

A filter structure that combines any number of filters with boolean methods ('AND', 'OR', 'NOT')

### Optional from

from: undefined | number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1306

Number of things to skip in result set (paging)

### Optional query

query: undefined | string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1310

A term to search for

### Optional size

size: undefined | number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1314

Number of things to have in the result set (paging)

### Optional sort

sort: SCSearchSort[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1318

A list of sorting parameters to order the result set by

Generated using TypeDoc